man(8)

NAME
bfb-install - BFB installing script for BlueField SoC over rshim driver

SYNOPSIS
rshim [options]

DESCRIPTION
bfb-install is a utility script to install BFB images on BlueField SoC over the rshim driver.

OPTIONS
-b, --bfb
This is the BFB image to use, which is pushed as the boot stream.

-c, --config
This is an optional configuration file to use, usually called bf.cfg.

-f, --rootfs
This is the optional rootfs tar.xz file which is uaually used when installing Yocto.

-r, --rshim
This is the rshim device to use, which can be 'rshim<N>' or '/dev/rshim<N>'.